import { deepMerge } from '@teamix/utils';
import { useDialogAction } from './dialog';
export function useDangerPopConfirmAction(action, context) {
  return useDialogAction(deepMerge({
    dialogType: 'pop',
    popType: 'danger',
    align: 'br'
  }, action), context);
}
export default useDangerPopConfirmAction;